Subject: Re: bug#9663: 23.2; feature wish: put priority on vcursor overlay

From: Stefan Monnier <[email-masked]>
Date: Tue, 01 Nov 2011 21:19:49 -0400

>    same priority. Which makes me wonder: why other overlay have
>    you bumped into which has either higher priority than nil, or
>    nil priority but is not larger than vcursor.
   
> As I wrote in the feature wish: the locked region in Proof
> General (proof-locked-span). It has priority 100, see the call to
> span-raise inside proof-init-segmentation in
> generic/proof-script.el.

I'm not sure why ProofGeneral messes with priorities, tho.  Nor why it
chooses 100 as the "default raised priority", nor "raised with respect
to what".
The way I see it, overlay priorities are very little used and are fairly
problematic, so I'd rather recommend not to use them.

        Stefan